# Net Asset Value Daily

The endpoint requires an API key and it requires that the symbol of the index is specified using the symbol parameter. If the limit parameter is not specified the latest value is returned. To ensure chronological ordering of the index values you should sort the values using the timestamp field. The endpoint only returns a maximum of 2000 records.

**Example URL**

{% embed url="<https://www.vinterapi.com/api/v3/nav_daily/?symbol=vnfa-btca-15-d>" %}

## Response Fields

<table><thead><tr><th width="179.33333333333331">Field</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>integer</td><td>The record's id in the source table. A id that equals 0 means that it is not an official value.</td></tr><tr><td>created_at</td><td>string</td><td>ISO formatted datetime representing the calculation time</td></tr><tr><td>symbol</td><td>string</td><td>The index or product symbol.</td></tr><tr><td>open</td><td>number</td><td>The first real-time value after 9:00 CET in U.S. dollar</td></tr><tr><td>low</td><td>number</td><td>The lowest real-time value between 9:00 CET and 17:30 CET in U.S. dollar<br>if the user updates the last value, this value might be updated</td></tr><tr><td>high</td><td>number</td><td>The highest real-time value between 9:00 CET and 17:30 CET in U.S. dollar<br>if the user updates the last value, this value might be updated</td></tr><tr><td>close</td><td>number</td><td>The value calculated at 17:30 CET this value is the daily settlement price in U.S. dollar<br>if the user updates the last value, this value will be updated</td></tr><tr><td>timestamp</td><td>integer</td><td>Unix timestamp in milliseconds representing the calculation time.</td></tr><tr><td>date</td><td>string</td><td>Date representing the calculation date</td></tr><tr><td>updated_at</td><td>string</td><td>ISO formatted datetime representing the update of nav</td></tr></tbody></table>

<mark style="color:blue;">`GET`</mark> `https://www.vinterapi.com/api/v3/nav_daily/`

This is a sample response for asset vnfa-btca-15-d

#### Query Parameters

| Name                                     | Type       | Description                                                                                                                                                                                                                                             |
| ---------------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String     | The ticker of the requested index                                                                                                                                                                                                                       |
| limit                                    | Integer    | The number of records to obtain. If the parameter is not specified the last record will be returned.                                                                                                                                                    |
| start\_time                              | datestring | <p>Received range includes the start time date. The start\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p> |
| end\_time                                | datestring | <p>Received range excludes the end\_time . The end\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p>        |

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | your\_secret\_api\_key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": "success",
    "message": "Success",
    "data": [
        {
            "id": 2068,
            "symbol": "vnfa-btca-15-d",
            "created_at": "2023-02-28T00:00:00.000Z",
            "open": 99.45,
            "low": 98.23,
            "high": 100.04,
            "close": 98.63,
            "timestamp": 1677542400000,
            "date": "2023-02-28",
            "updated_at": "2023-02-28T00:00:00.000Z"
        }
    ],
    "params": {
        "symbol": "vnfa-btca-15-d"
    }
}
```

{% endtab %}
{% endtabs %}

Please read the following for detailed information on parameters.

{% content-ref url="../api-requests-parameters" %}
[api-requests-parameters](https://docs.kaiko.com/formerly-vinter-indices/api/api-requests-parameters)
{% endcontent-ref %}

### [Try the API](https://vinterapi.com/apidocs)
